Package org.apache.felix.http.base.internal.whiteboard

# Class ResourceServlet

java.lang.Object
jakarta.servlet.GenericServlet
jakarta.servlet.http.HttpServlet
org.apache.felix.http.base.internal.whiteboard.ResourceServlet

All Implemented Interfaces:
  `jakarta.servlet.Servlet`, `jakarta.servlet.ServletConfig`, `Serializable`

Direct Known Subclasses:
  `HttpResourceServlet`

public class ResourceServlet extends jakarta.servlet.http.HttpServlet
The resource servlet

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class jakarta.servlet.http.HttpServlet

`LEGACY_DO_HEAD`

## Constructor Summary

Constructors
Constructor
Description
`ResourceServlet(String prefix)`
The prefix for the resource

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doGet(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res)`

### Methods inherited from class jakarta.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPatch, doPost, doPut, doTrace, getLastModified, init, isSensitiveHeader, service, service`

### Methods inherited from class jakarta.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ResourceServlet

public ResourceServlet(String prefix)
The prefix for the resource

Parameters:
  `prefix` - The prefix

## Method Details

### doGet

protected void doGet(jakarta.servlet.http.HttpServletRequest req, jakarta.servlet.http.HttpServletResponse res) throws jakarta.servlet.ServletException, IOException

Overrides:
  `doGet` in class `jakarta.servlet.http.HttpServlet`
Throws:
  `jakarta.servlet.ServletException`
  `IOException`